function [norm1,norm2,EGKL]=get_criteria(p_estimate, p_test)

[n,Multi_Class]=size(p_test);
p_estimate2=zeros(n,Multi_Class);
score=zeros(n,Multi_Class);

for i = 1:Multi_Class-1
    for j = i+1: Multi_Class
        pij = p_estimate{i,j};

        indi = find(pij(:,1)>pij(:,2));
        score(indi,i) = score(indi,i)+1;
        indj = find(pij(:,1)<=pij(:,2));
        score(indj,j) = score(indj,j)+1;

        P_ratio{i,j} = pij(:,1)./pij(:,2);
        P_ratio{j,i} = pij(:,2)./pij(:,1);
    end
end

for i = 1:Multi_Class
    P_ratio{i,i}=ones(n,1);
    i_section = [P_ratio{1:Multi_Class,i}];
    sum_i_section = sum(i_section,2)*ones(1,Multi_Class);
    P_section{i} = i_section./sum_i_section;
end

[dump,section_picked]=max(score,[],2);

for i=1:Multi_Class
    indi=find(section_picked==i);
    p_for_section=P_section{i};
    p_estimate2(indi,:)=p_for_section(indi,:);
end

norm1=sum(sum(abs(p_estimate2-p_test)))/n*100;
norm2=sum(sum((p_estimate2-p_test).^2))/n*100;
EGKL=sum(sum(p_test.*log(p_test./p_estimate2)))/n*100;
