
function gamma_EGKL=get_gamma(K_train,y_train,K_tune,y_tune)

    m=20;
    [n_tune,n_train]=size(K_tune);
    p_tune_estimate=zeros(n_tune,17);
    
    for gamma_indi=-8:8
        gamma=10^gamma_indi;
        i=gamma_indi+9;
        
        y_tune_estimate=zeros(n_tune,m+1);
        
        for j=1:m+1
            pi=(j-1)/m;
            
            [alpha,beta0]=get_beta(K_train,y_train,gamma,pi);
            y_tune_estimate(:,j) =sign(K_tune*(alpha.*y_train)+beta0);
        end

        p_tune_estimate(:,i)=get_probability(y_tune_estimate);

    end
    
    gamma_EGKL=find_gamma(y_tune,p_tune_estimate);
 

