
function EGKL1=get_one_EGKL(K_train,y_train,K_tune,y_tune)

    m=20;
    [n_tune,n_train]=size(K_tune);
    p_tune_estimate=zeros(n_tune,17);

    for gamma_indi=-8:8
        gamma=10^gamma_indi;
        i=gamma_indi+9;
        y_tune_estimate=zeros(n_tune,m+1);

        for j=1:m+1
            pi=(j-1)/m;

            [alpha,beta0]=get_beta(K_train,y_train,gamma,pi);
            y_tune_estimate(:,j) =sign(K_tune*(alpha.*y_train)+beta0);
        end

        p_tune_estimate(:,i)=get_probability(y_tune_estimate);

    end

    [n,r]=size(p_tune_estimate); %r=17 (from -8 to 8 )
    y_tune=y_tune*ones(1,r);
    EGKL1=sum( ((y_tune+1)/2).*log(p_tune_estimate) + ((1-y_tune)/2).*log(1-p_tune_estimate), 1);
